# # from django.shortcuts import render
# # from .forms import UserForm

# # def home_view(request):
# #     """ Menampilkan halaman utama """
# #     return render(request, 'userapp/home.html')

# # def user_form_view(request):
# #     if request.method == 'POST':
# #         form = UserForm(request.POST)
# #         if form.is_valid():
# #             cleaned_data = form.cleaned_data
# #             return render(request, 'userapp/user_info.html', {'data': cleaned_data})
# #     else:
# #         form = UserForm()
# #     return render(request, 'userapp/user_form.html', {'form': form})

# from django.shortcuts import render
# from .forms import UserForm

# def home_view(request):
#     """ Menampilkan halaman utama """
#     return render(request, 'userapp/home.html')

# def user_form_view(request):
#     if 'users' not in request.session:
#         request.session['users'] = []  # Inisialisasi penyimpanan jika belum ada
    
#     if request.method == 'POST':
#         form = UserForm(request.POST)
#         if form.is_valid():
#             cleaned_data = form.cleaned_data
            
#             # Simpan data baru ke dalam session
#             users = request.session['users']
#             users.append(cleaned_data)
#             request.session['users'] = users  # Perbarui session
            
#             return render(request, 'userapp/user_info.html', {'users': users})
#     else:
#         form = UserForm()

#     return render(request, 'userapp/user_form.html', {'form': form})

# def user_info_view(request):
#     """ Menampilkan semua data user yang telah disubmit """
#     users = request.session.get('users', [])  # Ambil data dari session
#     return render(request, 'userapp/user_info.html', {'users': users})

from django.shortcuts import render
from .forms import UserForm
import json
from datetime import datetime

def home_view(request):
    """ Menampilkan halaman utama """
    return render(request, 'userapp/home.html')

def user_form_view(request):
    if 'users' not in request.session:
        request.session['users'] = []  # Inisialisasi list penyimpanan user jika belum ada
    
    if request.method == 'POST':
        form = UserForm(request.POST)
        if form.is_valid():
            cleaned_data = form.cleaned_data

            # Konversi tanggal_lahir ke string sebelum menyimpan ke session
            cleaned_data['tanggal_lahir'] = cleaned_data['tanggal_lahir'].strftime('%Y-%m-%d')

            # Simpan data ke dalam session
            users = request.session['users']
            users.append(cleaned_data)
            request.session['users'] = users  # Update session dengan user baru

            return render(request, 'userapp/user_info.html', {'users': users})
    else:
        form = UserForm()

    return render(request, 'userapp/user_form.html', {'form': form})

def user_info_view(request):
    """ Menampilkan semua data user yang telah disubmit """
    users = request.session.get('users', [])  
    
    # Konversi kembali tanggal_lahir ke format tanggal (datetime.date)
    for user in users:
        user['tanggal_lahir'] = datetime.strptime(user['tanggal_lahir'], '%Y-%m-%d').date()

    return render(request, 'userapp/user_info.html', {'users': users})
